/*
  Hardware UART
*/


#include <avr/io.h>


#define BAUD 115200


void uart_init(void) {
  UBRR = (uint8_t)((double)F_CPU / (16.0 * BAUD) - 1.0 + 0.5);
  UCR |= _BV(TXEN);

  return;
}


void uart_putchar(unsigned char data) {
  while (bit_is_clear(USR, UDRE)) ;
  UDR = data;

  return;
}
